/* -------------------------------------------------- */
/* ---| NAV CSS |--- */
/* -------------------------------------------------- */

/* NAV */
#nav-circular-indicator
{
    width: 500px;
    height: 60px;
}

#nav-circular-indicator > .wrapper
{
    width: 100%;
    height: 100%;
    background-color: #FFF;
    border-radius: 10px;
    position: relative;
}

/* MENU */
#nav-circular-indicator .menu
{
    width: auto;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    list-style: none;
}

#nav-circular-indicator .menu > .option
{
    width: 100px;
    height: 100%;
}

#nav-circular-indicator .menu > .option a
{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: var( --bg );
    text-decoration: none;
    position: relative;
}

#nav-circular-indicator .menu > .option a .name
{
    position: absolute;
    transition: 0.5s;
    font-weight: bold;
    font-size: 15px;
    top: 30px;
    opacity: 0;
}

#nav-circular-indicator .menu > .option.active .name,
#nav-circular-indicator .menu > .option.active:hover .name
{
    position: absolute;
    opacity: 100%;
    top: 30px;
}

#nav-circular-indicator .menu > .option:hover .name
{
    top: 15px;
    opacity: 100%;
}

#nav-circular-indicator .menu > .option a .icon
{
    transition: transform 0.5s, opacity 0.5s;
    font-size: 20px;
}

#nav-circular-indicator .menu > .option:hover a .icon
{
    opacity: 0;
}

#nav-circular-indicator .menu > .option.active a .icon
{
    opacity: 100%;
    transform: translateY( calc( (-1*(60px - 5px)) / 2 ) );
    z-index: 2;
}

/*#nav-circular-indicator .menu > .option.active:hover a .icon*/
/*{*/
/*    display: initial;*/
/*    font-size: 20px;*/
/*}*/

/* BUBBLE INDICATOR */
#nav-circular-indicator .circular-indicator{
    width: 60px;
    height: 60px;
    background-color: #3F3;
    position: absolute;
    top: -30px;
    left: 200px;
    margin-left: 20px;
    border-radius: 100%;
    z-index: 1;
    border: 5px solid var( --bg );
    transition: 0.5s;
}

#nav-circular-indicator .circular-indicator::before{
    content: '';
    position: absolute;
    top: 25px;
    left: -15px;
    width: 12px;
    height: 15px;
    box-shadow: 0 -6px 0 0 var( --bg );
    border-top-right-radius: 100%;
    background-color: #FFF;
}

#nav-circular-indicator .circular-indicator::after{
    content: '';
    position: absolute;
    top: 25px;
    right: -15px;
    width: 12px;
    height: 15px;
    box-shadow: 0 -6px 0 0 var( --bg );
    border-top-left-radius: 100%;
    background-color: #FFF;
}

/* -------------------------------------------------- */
/* ---| END NAV CSS |--- */
/* -------------------------------------------------- */